Unfiltered data file not found error

Hi! I’m now using DLC 2.2b8 on Ubuntu 18.04. When I do analysze video, I get the following error . How can I resolve this? Thanks a ton

No unfiltered data file found in /home/dinesh/Documents/projects/tarsata/tarsata-ajay-2020-09-12/videos for video tarsata_20200901_R3_ant2 and scorer DLC_resnet50_tarsatasep12shuffle1_50000.

FileNotFoundError Traceback (most recent call last)
~/anaconda3/envs/DLC-GPU/lib/python3.7/site-packages/deeplabcut/utils/plotting.py in plot_trajectories(config, videos, videotype, shuffle, trainingsetindex, filtered, displayedbodyparts, displayedindividuals, showfigures, destfolder, modelprefix, track_method)
213 df, _, _, suffix = auxiliaryfunctions.load_analyzed_data(
–> 214 videofolder, vname, DLCscorer, filtered, track_method
215 )

~/anaconda3/envs/DLC-GPU/lib/python3.7/site-packages/deeplabcut/utils/auxiliaryfunctions.py in load_analyzed_data(folder, videoname, scorer, filtered, track_method)
743 filepath, scorer, suffix = find_analyzed_data(
–> 744 folder, videoname, scorer, filtered, track_method
745 )

~/anaconda3/envs/DLC-GPU/lib/python3.7/site-packages/deeplabcut/utils/auxiliaryfunctions.py in find_analyzed_data(folder, videoname, scorer, filtered, track_method)
728 msg += “.”
–> 729 raise FileNotFoundError(msg)
730

FileNotFoundError: No filtered data file found in /home/dinesh/Documents/projects/tarsata/tarsata-ajay-2020-09-12/videos for video tarsata_20200901_R3_ant2 and scorer DLC_resnet50_tarsatasep12shuffle1_50000.

During handling of the above exception, another exception occurred:

ValueError Traceback (most recent call last)
~/anaconda3/envs/DLC-GPU/lib/python3.7/site-packages/deeplabcut/gui/analyze_videos.py in analyze_videos(self, event)
526 trainingsetindex=trainingsetindex,
527 filtered=True,
–> 528 showfigures=showfig,
529 )
530

~/anaconda3/envs/DLC-GPU/lib/python3.7/site-packages/deeplabcut/utils/plotting.py in plot_trajectories(config, videos, videotype, shuffle, trainingsetindex, filtered, displayedbodyparts, displayedindividuals, showfigures, destfolder, modelprefix, track_method)
238 try:
239 _ = auxiliaryfunctions.load_detection_data(
–> 240 video, DLCscorer, track_method
241 )
242 print(

~/anaconda3/envs/DLC-GPU/lib/python3.7/site-packages/deeplabcut/utils/auxiliaryfunctions.py in load_detection_data(video, scorer, track_method)
756 tracker = “bx”
757 else:
–> 758 raise ValueError(f"Unrecognized track_method={track_method}")
759
760 filepath = os.path.splitext(video)[0] + scorer + f"_{tracker}.pickle"

ValueError: Unrecognized track_method=

Hi @dinrao! You need to pass the argument track_method to the function. This corresponds to the tracking method (box or skeleton) you chose when running deeplabcut.convert_detections2tracklets.

1 Like

Hi @jeylau, Sorry I don’t know where this option appears in the GUI. (I’m doing single animal tracking, if that helps)

So, I loaded another project where I was trying out the multi-animal tracking. In this GUI, the option of Box/Skeleton appears (in the analyze video tab), but not while I’m tracking just a single animal.

1 Like